Can't deploy erp5
1 - 10 of 10 records
Summary
Can't deploy erp5 by Unknown User at 2019/12/13

We tryng to install https://www.erp5.com/deploy in our company, but no succeded. We have ubuntu 

Distributor ID: Ubuntu
Description:    Ubuntu 16.04.6 LTS
Release:        16.04
Codename:       xenial
 

At the 1st step we got the same https://www.erp5.com/forum/ERP5-wont-install-on-a-Linux-VM-FbAx5kNAac error ( u'ffff:ffff:ffff:ffff::/64' is not a valid IPv6 address string! ) . But is was gone with ubuntu upgrade. New we got the following error:

Traceback (most recent call last):
  File "/opt/slapos/eggs/slapos.core-1.5.4-py2.7.egg/slapos/grid/slapgrid.py", line 1335, in processComputerPartitionList
    self.processComputerPartition(computer_partition)
  File "/opt/slapos/eggs/slapos.core-1.5.4-py2.7.egg/slapos/grid/slapgrid.py", line 1226, in processComputerPartition
    raise e
IOError: Software Release https://lab.node.vifib.com/nexedi/slapos/raw/1.0.112/software/erp5/software.cfg is not correctly installed.
Missing file: /opt/slapgrid/5b41896bce906eba84123c9581f4751d/instance.cfg
 

 

Is there software.cfg ok (I see fail message)?

 

[buildout]
extends =
  ../../stack/erp5/buildout.cfg
# Test Suite: ERP5-MASTER ran at 2019/06/20 17:16:16.546716 UTC
#             10 failures, 0 errors, 6038 total, status: FAIL
[erp5]
revision = 80994259537cc30d255d9230aabaf47dce621bf8

 

How we can fix this issue?

Additional info:

 

[2019-12-13 22:26:58,876] INFO     Installing erp5.
[2019-12-13 22:26:58,876] INFO     Warning: "branch" parameter with value "master" is ignored. Checking out to revision 80994259537cc30d255d9230aabaf47dce621bf8.
[2019-12-13 22:26:58,876] INFO     Cloning into '/opt/slapgrid/5b41896bce906eba84123c9581f4751d/parts/erp5'...
[2019-12-13 22:26:58,876] INFO     Checking out files:  17% (14910/83621)
....

.....

Checking out files:  88% (3310/3761)
fatal: not a git repository: ../.git/modules/doc-bt5
[2019-12-13 22:26:58,877] INFO     fatal: could not reset submodule index
[2019-12-13 22:26:58,877] INFO     While:
[2019-12-13 22:26:58,877] INFO       Installing erp5.
[2019-12-13 22:26:58,877] INFO     Error: Impossible to clone repository.

 

 

I think it was a network problem. If you try again, it should work.

From: Yusei Tahara

I think it was a network problem. If you try again, it should work.

 

I think it's related to https://github.com/Nexedi/erp5/commit/b5b16628d0753647b87b4b7ff6c72eb32c3b224f#diff-8903239df476d7401cf9e76af0252622  .

You remove submodule "doc-bt5", but installer don't know about it. 

 

From: Unknown User
From: Yusei Tahara

I think it was a network problem. If you try again, it should work.

 

I think it's related to https://github.com/Nexedi/erp5/commit/b5b16628d0753647b87b4b7ff6c72eb32c3b224f#diff-8903239df476d7401cf9e76af0252622  .

You remove submodule "doc-bt5", but installer don't know about it. 

 

Additional info:

/opt/slapos/log/slapos-node-software.log 

[2019-12-21 14:55:43,797] INFO     Warning: "branch" parameter with value "master" is ignored. Checking out to revision 80994259537cc30d255d9230aabaf47dce621bf8.

So, it clone https://lab.nexedi.com/nexedi/erp5/tree/80994259537cc30d255d9230aabaf47dce621bf8 revision , not master.

Issue:

Bulidout.cfg from installer:

[buildout]
extends = https://lab.node.vifib.com/nexedi/slapos/raw/1.0.112/software/erp5/software.cfg
shared-part-list =.
       /opt/slapgrid/read_only_shared
      /opt/slapgrid/shared

https://lab.node.vifib.com/nexedi/slapos/raw/1.0.112/software/erp5/software.cfg

 

[buildout]
extends =
  ../../stack/erp5/buildout.cfg



# Test Suite: ERP5-MASTER ran at 2019/06/20 17:16:16.546716 UTC
#             10 failures, 0 errors, 6038 total, status: FAIL

[erp5]
revision = 80994259537cc30d255d9230aabaf47dce621bf8

 

https://lab.node.vifib.com/nexedi/slapos/raw/1.0.112/stack/erp5/buildout.cfg

 

[erp5]
recipe = slapos.recipe.build:gitclone
repository = https://lab.nexedi.com/nexedi/erp5.git
branch = master

 

Docs:

https://pypi.org/project/slapos.recipe.build/#revision-branch-priority

If both revision and branch parameters are set, revision parameters is used and branch parameter is ignored:

 

as thre result installer trying ro install 80994259537cc30d255d9230aabaf47dce621bf8 revision.

 

/opt/slapos.playbook/erp5-standalone.yml

vars:
    software_release_url: https://lab.node.vifib.com/nexedi/slapos/raw/1.0.112/software/erp5/software.cfg

 

Is that correct version (1.0.112) of  a release?

From: Unknown User

/opt/slapos.playbook/erp5-standalone.yml

vars:
    software_release_url: https://lab.node.vifib.com/nexedi/slapos/raw/1.0.112/software/erp5/software.cfg

 

Is that correct version (1.0.112) of  a release?

 

ok, I replaced it to version 1.0.131

https://lab.node.vifib.com/nexedi/slapos/raw/1.0.131/software/apache-frontend/software.cfg installed successfully

https://lab.node.vifib.com/nexedi/slapos/raw/1.0.131/software/erp5/software.cfg dropped down with:

 

[2020-01-07 22:06:12,280] INFO     Installing switch-softwaretype.
[2020-01-07 22:06:12,280] INFO     switch-softwaretype: Invoking commandline : '/opt/slapgrid/a9ea97b080723c67a854fe0e957a1258/bin/buildout -U -c /srv/slapgrid/slappart2/buildout-switch-softwaretype.cfg'
[2020-01-07 22:06:12,280] INFO     While:
[2020-01-07 22:06:12,280] INFO       Installing.
[2020-01-07 22:06:12,280] INFO       Getting section switch-apache-softwaretype.
[2020-01-07 22:06:12,280] INFO       Initializing section switch-apache-softwaretype.
[2020-01-07 22:06:12,280] INFO       Getting option switch-apache-softwaretype:single-custom-personal.
[2020-01-07 22:06:12,280] INFO       Getting section dynamic-custom-personal-template-slave-list.
[2020-01-07 22:06:12,280] INFO       Initializing section dynamic-custom-personal-template-slave-list.
[2020-01-07 22:06:12,280] INFO     Error: Missing option: directory:promises
[2020-01-07 22:06:12,280] INFO     While:
[2020-01-07 22:06:12,281] INFO       Installing switch-softwaretype.
[2020-01-07 22:06:12,281] INFO
[2020-01-07 22:06:12,281] INFO     An internal error occurred due to a bug in either zc.buildout or in a
[2020-01-07 22:06:12,281] INFO     recipe being used:
 

Hi. I got new information.

I am sorry but latest version of ERP5 is currently not building.

Our build test of ERP5 into a Debian Stretch OS is currently failing :

You can track all our tests on this page:

https://stack.nexedi.com/test_status?fbclid=IwAR0tnOIWOPn3ksRLnQES06zBe5yYNBffK3c8FwB502BGn2VG1yFZr_5nCdw

We are now fixing the build test of ERP5 on Debian. Until it is fixed, ERP5 will not build.

Hi. I got new information.

I am sorry but latest version of ERP5 is currently not building.

Our build test of ERP5 into a Debian Stretch OS is currently failing :

You can track all our tests on this page:

https://stack.nexedi.com/test_status?fbclid=IwAR0tnOIWOPn3ksRLnQES06zBe5yYNBffK3c8FwB502BGn2VG1yFZr_5nCdw

We are now fixing the build test of ERP5 on Debian. Until it is fixed, ERP5 will not build.

 

Ok, I've got it, thanks for the info! It seems we will move to another erp system.